package speiger.src.coreengine.ui.gui.font.glyth;

import speiger.src.coreengine.platform.graphics.api.texture.Texture;

public record Glyth(Texture texture, float minU, float minV, float maxU, float maxV, float left, float right, float top, float bottom) {
	public static final Glyth EMPTY = new Glyth();
	
	private Glyth() {
		this(null, 0F, 0F, 0F, 0F, 0F, 0F, 0F, 0F);
	}
	
	public Glyth(Texture texture, float minU, float minV, float maxU, float maxV) {
		this(texture, minU, minV, maxU, maxV, 0, 0, 0, 0);
	}
	
	public boolean isValid() { return texture != null; }
}
